/*********************************************************************************************************
*
* File                : DS1302.h
* Hardware Environment: 
* Build Environment   : RealView MDK-ARM  Version: 4.20
* Version             : V1.0
* By                  : 
*
*                                  (c) Copyright 2005-2011, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#ifndef _DS1302_H
#define _DS1302_H


#define DS1302_Enable 	GPIO_SetBits(GPIOA,GPIO_Pin_4);
#define DS1302_Disable 	GPIO_ResetBits(GPIOA,GPIO_Pin_4);

#define Time_24_Hour	0x00	
#define Time_Start		0x00	

#define DS1302_SECOND	0x80	
#define DS1302_MINUTE	0x82
#define DS1302_HOUR		0x84
#define DS1302_DAY		0x86
#define DS1302_MONTH	0x88
#define DS1302_WEEK		0x8A
#define DS1302_YEAR		0x8C
#define DS1302_WRITE	0x8E
#define DS1302_POWER	0x90
#define CHARGE_UP		0xa5

extern void InitDS1302(void);
extern void ReadDS1302Clock(u8 *p);
extern void WriteDS1302Clock(u8 *p);
extern void ReadDSRam(u8 *p,u8 add,u8 cnt);
extern void WriteDSRam(u8 *p,u8 add,u8 cnt);
extern void DS1302_Configuration(void);
extern void TestDS1302(void);

#include "ws_spi.h"

#endif /*_DS1302_H*/

